#!/bin/sh

# This file is part of the element-web-patches.
#
# element-web-patches is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation, either version 3 of the License,
# or (at your option) any later version.
#
# element-web-patches is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with element-web-patches. If not, see <https://www.gnu.org/licenses/>.

# Run fetch-latest-format.sh for the most up-to-date emojibase format. Target is raw.json
reactions="$(yq . /dev/stdin < ./reactions/reactions.yaml)"
jq -n --argjson reactions "$reactions" \
  '[
  $reactions[] | {
    annotation: .emoji,
    label: .emoji,
    emoticon: .emoji,
    hexcode: "2721",
    unicode: .emoji,
    shortcodes: (.tags? + [ .emoji ]),
    tags: (.tags? + [ .emoji ]),
    emoji: .emoji,
    text: .emoji,
    type: 0,
    order: 0,
    group: 8,
    subgroup: 93,
    version: 0.7
  }
]'
